# Poco

# class NamedMutexImpl

Library: Foundation
Package: Processes
Header: Poco/NamedMutex_WIN32U.h

## Inheritance

Known Derived Classes: NamedMutex

## Member Summary

Member Functions: lockImpl, tryLockImpl, unlockImpl

## Constructors

### NamedMutexImpl

NamedMutexImpl(
const std::string & name
);

## Destructor

### ~NamedMutexImpl

~NamedMutexImpl();

## Member Functions

### lockImpl

void lockImpl();

### tryLockImpl

bool tryLockImpl();

### unlockImpl

void unlockImpl();